## org.apache.ivy.plugins.repository.vsftp
Class VsftpResource

    java.lang.Object
      org.apache.ivy.plugins.repository.LazyResource
          org.apache.ivy.plugins.repository.vsftp.VsftpResource

All Implemented Interfaces:
  Resource

    public class VsftpResource

extends LazyResource

Constructor Summary
`VsftpResource(VsftpRepository repository, java.lang.String file)`

Method Summary
`Resource` `clone(java.lang.String cloneName)` Clones this resource with a new resource with a different name
`protected void` `init()`
`java.io.InputStream` `openStream()` Opens a stream on this resource

Methods inherited from class org.apache.ivy.plugins.repository.LazyResource
`exists, getContentLength, getLastModified, getName, init, isLocal, setContentLength, setExists, setLastModified, setLocal, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VsftpResource

    public VsftpResource(VsftpRepository repository,
                         java.lang.String file)

Method Detail

### init

    protected void init()

  Specified by:
    `init` in class `LazyResource`

### openStream

    public java.io.InputStream openStream()
                                   throws java.io.IOException

  Description copied from interface: `Resource`
  Opens a stream on this resource

  Returns:
    the opened input stream
  Throws:
    `java.io.IOException`

### clone

    public Resource clone(java.lang.String cloneName)

  Description copied from interface: `Resource`
  Clones this resource with a new resource with a different name

  Parameters:
    `cloneName` - the name of the clone
  Returns:
    the cloned resource